Bug 4749

Summary: hildon.TimeButton lacks .get_time()
Product: [Extras] PyMaemo Reporter: Daniel Martin Yerga <dyerga>
Component: GeneralAssignee: Anderson Lizardo <anderson.lizardo>
Status: VERIFIED FIXED QA Contact: general
Severity: normal    
Priority: Low    
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: Maemo   
Attachments: Testcase to hit the bug

Description Daniel Martin Yerga (reporter) 2009-06-30 20:13:37 UTC
SOFTWARE VERSION:
python-hildon version: 0.9.0-1maemo8

STEPS TO REPRODUCE THE PROBLEM:

1) Use the time selection widgets used in Fremantle: hildon.TimeButton
2) Try get the time with .get_time()


EXPECTED OUTCOME:

get_time() is available to get the selected time easily.

ACTUAL OUTCOME:

get_time() isn't available


OTHER COMMENTS:

This function seems defined in the .defs file, but it's not working.
Other similar functions as set_time from the same widget or get_date from the
DateButton are working too.
Comment 1 Daniel Martin Yerga (reporter) 2009-06-30 20:14:23 UTC
Created an attachment (id=1254) [details]
Testcase to hit the bug
Comment 2 Anderson Lizardo 2009-07-15 23:44:45 UTC
Fixed in SVN trunk (r1221). Will be on next python-hildon version
(0.9.0-1maemo9).
Comment 3 Daniel Martin Yerga (reporter) 2009-07-16 18:03:32 UTC
Verified. Thanks!